Bug 407921 - ntpd errors on boot up of Fedora 8 [NEEDINFO]
ntpd errors on boot up of Fedora 8
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-02 11:37 EST by Scott Griffin
Modified: 2009-01-09 00:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:23:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mlichvar: needinfo? (grifs71)

Attachments (Terms of Use)

  None (edit)
Description Scott Griffin 2007-12-02 11:37:18 EST
Description of problem:
Fedora 8 receives a failed status on the following server ntpd when trying to
sync the time. The same settings and time servers work successfully in Fedora 7

Version-Release number of selected component (if applicable):

ntp version

How reproducible:
Starting up Fedora 8 or restart of machine.

Steps to Reproduce:
1. Reboot or restart Fedora 8
2. Services are starting ntpd fails with ntpdate cannot find servers
3. The same servers are reachable when the machine is running and sync with no
Actual results:
Ntp time should start successfully when the operating system is booting to
report accurate time logging.

Expected results:
No errors from the time service.

Additional info:
Here is the errors from the /var/log/messages (these are the time servers from
Nov 16 15:41:41 localhost ntpdate[1916]: can't find host 0.fedora.pool.ntp.org
Nov 16 15:41:41 localhost ntpdate[1916]: can't find host 1.fedora.pool.ntp.org
Nov 16 15:41:41 localhost ntpdate[1916]: can't find host 2.fedora.pool.ntp.org
Nov 16 15:41:41 localhost ntpdate[1916]: no servers can be used, exiting
Nov 16 15:41:41 localhost ntpd[1919]: ntpd 4.2.4p2@1.1495-o Mon Sep 24 14:40:07
UTC 2007 (1)

If further information is needed please contact me at grifs71@yahoo.com  -
Thanks, Scott Griffin.
Comment 1 Miroslav Lichvar 2007-12-03 06:35:42 EST
Have you enabled NetworkManager?

Please remove servers listed in /etc/ntp/step-tickers file, this is similar to
bug #387831.
Comment 2 Scott Griffin 2007-12-25 19:58:17 EST
Can you give me the steps to do this, I am not sure?

Comment 3 Miroslav Lichvar 2008-01-02 11:24:51 EST
The following command will print the status of NetworkManager service:
/etc/init.d/NetworkManager status

If it's running, you have NetworkManager enabled and network is not configured
when ntpdate is started. To prevent the errors from occurring again you should
remove all lines in /etc/ntp/step-tickers file (or just remove the file), so
ntpdate won't be called in the boot process. Also, make sure there is "dynamic"
keyword after every server line in /etc/ntp.conf. The default ntp.conf has:

server 0.fedora.pool.ntp.org dynamic
server 1.fedora.pool.ntp.org dynamic
server 2.fedora.pool.ntp.org dynamic
Comment 4 Patrick C. F. Ernzer 2008-11-18 08:07:29 EST
(In reply to comment #3)
> To prevent the errors from occurring again you should
> remove all lines in /etc/ntp/step-tickers file (or just remove the file), so
> ntpdate won't be called in the boot process.

This will not help users who boot another OS from time to time and that OS is not capable of having UTC in the RTC.

  - stop serious work to play a game
  - load that other OS
  - sync the clock in that OS as it will be off by a few hours (linux having UTC in the RTC as it should be)
  - play
  - stop playing and boot back to linux

now the users will have their clock off ny a few hours. If ntpdate is called on boot and executes successfully there is no problem (and it used to work just fine that way but as the original reporter said it is broken now, also see 445229)
Comment 5 Patrick C. F. Ernzer 2008-11-19 05:46:33 EST
(In reply to comment #4)

But, as per Bug 445229 comment #9, it is possible to have the clock synced when the machine starts. There is no need to remove the step-tickers.
Comment 6 Bug Zapper 2008-11-26 03:47:02 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 7 Bug Zapper 2009-01-09 00:23:42 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.